FCP 7 not loading on Maverick Macbook Pro

Limoncello

macrumors newbie
Original poster
Mar 4, 2014
3
0
Howdy,

I've searched the threads and can't find a similar situation but I have a situation with FCP 7 not loading onto a 13" Macbook Pro with Maverick OS X 10.9.1.

This is the message that comes up. Any ideas????


Crashed Thread: 0

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
Library not loaded: /System/Library/PrivateFrameworks/ProKit.framework/Versions/A/ProKit
Referenced from: /Applications/Final Cut Pro.app/Contents/MacOS/Final Cut Pro
Reason: no suitable image found. Did find:
/System/Library/PrivateFrameworks/ProKit.framework/Versions/A/ProKit: mach-o, but wrong architecture

Binary Images:
0x8feb0000 - 0x8fee2417 dyld (239.3) <4B280BB1-55F8-313F-86A6-8ADD644ED69E> /usr/lib/dyld
0x902fd000 - 0x90579ff7 com.apple.QuickTime (7.7.3 - 2826.0.1) <42542002-DCFF-3675-B919-440EC5057D56> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x90617000 - 0x90617fff com.apple.Accelerate (1.9 - Accelerate 1.9) <C85070A7-D942-3CFA-981F-5864480788C8> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x90a12000 - 0x90a12ffd com.apple.audio.units.AudioUnit (1.9 - 1.9) <8A37963C-DF6F-3DFF-94E9-407DC5DFEDA9> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x91b49000 - 0x91b50ffe com.apple.agl (3.2.3 - AGL-3.2.3) <E26A1D2C-596E-31F0-8E70-FC381874F8DA> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x92688000 - 0x926fdffb com.apple.framework.IOKit (2.0.1 - 907.1.13) <86D72735-9DFB-35C8-83F7-CE0DCF17D354> /System/Library/Fra
 

chrfr

macrumors G3
Jul 11, 2009
8,297
2,590
Library not loaded: /System/Library/PrivateFrameworks/ProKit.framework/Versions/A/ProKit
The error you're getting is because the above file is an old version which doesn't work with Mavericks. You may be able to solve it with this:
http://support.apple.com/kb/DL1385

You should also run Software Update to get the latest updates for Final Cut, though it is possible that the Mavericks software update is no longer offering updates for it.
 

Limoncello

macrumors newbie
Original poster
Mar 4, 2014
3
0
Thanks so much chrfr!

However I'm not entirely sure I'll be able to update the version of FCP7 with the link you provided until the software is installed properly. A bit of a Catch 22 situation perhaps?

Cheers,
Cello
 

chrfr

macrumors G3
Jul 11, 2009
8,297
2,590
Thanks so much chrfr!

However I'm not entirely sure I'll be able to update the version of FCP7 with the link you provided until the software is installed properly. A bit of a Catch 22 situation perhaps?
No, that link is to fix the specific problem you are having. Install that first.
 

daybreak

macrumors 6502a
Sep 4, 2009
531
0
Talking to a person who uses the same software say that FCP7 is not compatible with Maverick software.
I may be wrong. But he tried and got same problem.
 

puckhead193

macrumors G3
May 25, 2004
9,227
444
NY
that's weird. I had no issues installing FCP 7 on my nMP running Mavericks. After the install I manually downloaded the latest updates
 
Last edited:

Altemose

macrumors G3
Mar 26, 2013
9,089
444
Elkton, Maryland
Thanks so much chrfr!

However I'm not entirely sure I'll be able to update the version of FCP7 with the link you provided until the software is installed properly. A bit of a Catch 22 situation perhaps?

Cheers,
Cello
Use the link to download the updater. Then open FCP 7 and then "Quit" it. Now try to run software update. The last time I set up a Mac with 7 I did it that way and it worked.
 

Limoncello

macrumors newbie
Original poster
Mar 4, 2014
3
0
When I go there it redirects to a download and then I get "A newer version of this software is already installed." and then it stops.
 

pwhitehead

macrumors 6502
Jul 19, 2011
338
99
new jersey
This be the kicker depending on what you did. Did you do a fresh install of mavericks or install it over your last version? If you installed a fresh version, this is probably the reason why your getting this error because old files needed to run fcp7 got deleted and don't exist if you just install mavericks clean and don't install it over the previous OSX.